Skip to content
BolderBolder Developers
Esc
↑↓navigate↵open⌘Jpreview

Get a subscription fee

GET/subscription_fees/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
Path parameters
idintegerrequired
Responses
200

Subscription fee entity

_linksHalLinks
idinteger
seller_idinteger
product_idinteger
variant_idinteger
payment_intervalstring
Allowed:1_week1_month3_months6_months12_months
renewal_feeinteger

In cents

renewal_fee_priceinteger

In cents

setup_feeinteger

In cents

number_of_paymentsinteger
payment_dayinteger
by_percentageboolean
allow_non_recurring_paymentboolean
min_days_for_cancellationinteger
allow_changing_dayboolean
extend_on_reenableboolean
on_first_renewalstring
created_onstring<date-time>
updated_onstring<date-time>
404

Not found

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.onbolder.com/v2/subscription_fees/0' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "_links": {
    "property1": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    },
    "property2": {
      "href": "string",
      "templated": true,
      "method": "get",
      "title": "string",
      "type": "string"
    }
  },
  "id": 0,
  "seller_id": 0,
  "product_id": 0,
  "variant_id": 0,
  "payment_interval": "1_week",
  "renewal_fee": 0,
  "renewal_fee_price": 0,
  "setup_fee": 0,
  "number_of_payments": 0,
  "payment_day": 0,
  "by_percentage": true,
  "allow_non_recurring_payment": true,
  "min_days_for_cancellation": 0,
  "allow_changing_day": true,
  "extend_on_reenable": true,
  "on_first_renewal": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z"
}

Was this page helpful?